%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

Summary:        An extension to track progress of a file upload
Name:           php-pecl-uploadprogress
Version:        1.0.1
Release:        1%{?dist}.0.1
License:        PHP
Group:          Development/Languages
URL:            http://pecl.php.net/package/uploadprogress

Source:         http://pecl.php.net/get/uploadprogress-%{version}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       php-api = %{php_apiver}
BuildRequires:  php-devel 

%description
This extension allows retrieval of file upload progress information in
a php based file upload via POST.

%prep
%setup -c -q
%{__install} -m 644 -c %{SOURCE1} uploadprogress-%{version}/LICENSE

%build
cd uploadprogress-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd uploadprogress-%{version}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/uploadprogress.ini << 'EOF'
; Enable uploadprogress extension module
extension=uploadprogress.so
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc uploadprogress-%{version}/LICENSE uploadprogress-%{version}/examples
%config(noreplace) %{_sysconfdir}/php.d/uploadprogress.ini
%{php_extdir}/uploadprogress.so

%changelog
* Thu Jul 02 2009 Michael A. Peters <mpeters@mac.com> 1.0.1-1.0.1
- Rebuild for php 5.2.10

* Wed Jun 24 2009 Michael A. Peters <mpeters@mac.com> 1.0.1-1
- Version Bump

* Sun Mar 29 2009 Michael A. Peters <mpeters@mac.com> 1.0.0-1
- Version Bump

* Tue Jan 27 2008 Michael A. Peters <mpeters@mac.com> 0.9.2-1
- Initial build
